Статус заказа¶
Get order status
POST /api/status/order_id
Эта точка API ожидает POST-запрос в формате JSON с параметрами запроса.
Обычный ответ будет содержать те же параметры, что и при принятии покупки обычный ответ .
| Параметры | Тип | Обязательный | Описание |
|---|---|---|---|
version |
string(10) | необязательный | Версия протокола. Значение по умолчанию: 1.0.1 Версия 1.0 устарела |
order_id |
string(1024) | обязательный | Идентификатор заказа, сгенерированный мерчантом |
merchant_id |
integer(12) | обязательный | Уникальный идентификатор мерчанта. Генерируется Payme при регистрации мерчанта |
signature |
string(40) | обязательный | Подпись заказа. Требуется для проверки согласованности и подлинности запроса мерчанта. Алгоритм генерации подписи см. на Генерация подписи для запроса и ответа и response |
См. Параметры ответа
Примеры
curl -L 'https://pay.payme.uz/api/status/order_id' \
-H 'Content-Type: application/json' \
-d '{
"request": {
"order_id": "TestOrder2",
"version": "1.0.1",
"merchant_id": "4056281",
"signature": "bb0798a53ab63eb99584859ba46deb9d461b3993"
}
}'
{
"response": {
"rrn": "",
"masked_card": "",
"sender_cell_phone": "",
"sender_account": "",
"currency": "UZS",
"fee": "",
"reversal_amount": "0",
"settlement_amount": "0",
"actual_amount": "",
"response_description": "",
"sender_email": "",
"order_status": "expired",
"response_status": "success",
"order_time": "28.02.2018 19:18:16",
"actual_currency": "",
"order_id": "TestOrder2",
"tran_type": "purchase",
"eci": "",
"settlement_date": "",
"payment_system": "",
"approval_code": "",
"merchant_id": 4056281,
"settlement_currency": "",
"payment_id": 83456044,
"card_bin": "",
"response_code": "",
"card_type": "",
"amount": "1000",
"signature": "268b8f189f97c85696134fe6ae0f7f5ab93f28d5",
"product_id": "",
"merchant_data": "",
"rectoken": "",
"rectoken_lifetime": "",
"verification_status": "",
"parent_order_id": "",
"fee_oplata": "0",
"additional_info": "{\"capture_status\": null, \"capture_amount\": null, \"reservation_data\": null, \"transaction_id\": null, \"bank_response_code\": null, \"bank_response_description\": null, \"client_fee\": null, \"settlement_fee\": 0.0, \"bank_name\": null, \"bank_country\": null, \"card_type\": null, \"card_product\": null, \"card_category\": null, \"timeend\": \"01.03.2018 05:18:17\", \"ipaddress_v4\": \"52.30.149.20\", \"payment_method\": null}",
"response_signature_string": "**********|{\"capture_status\": null, \"capture_amount\": null, \"reservation_data\": null, \"transaction_id\": null, \"bank_response_code\": null, \"bank_response_description\": null, \"client_fee\": null, \"settlement_fee\": 0.0, \"bank_name\": null, \"bank_country\": null, \"card_type\": null, \"card_product\": null, \"card_category\": null, \"timeend\": \"01.03.2018 05:18:17\", \"ipaddress_v4\": \"52.30.149.20\", \"payment_method\": null}|1000|UZS|0|4056281|TestOrder2|expired|28.02.2018 19:18:16|83456044|success|0|0|purchase"
}
}
{
"response": {
"error_code": 1002,
"error_message": "Application error",
"request_id": "VkPdYwnPAaSz9",
"response_status": "failure"
}
}